Loading...
Searching...
No Matches
sdbus::AsyncAllPropertiesGetter Class Reference

## Public Member Functions

AsyncAllPropertiesGetter & | onInterface (std::string_view interfaceName)
template<typename Function>
PendingAsyncCall | uponReplyInvoke (Function &&callback)
template<typename Function>
Slot | uponReplyInvoke (Function &&callback, return_slot_t)
std::future< std::map< PropertyName, Variant > > | getResultAsFuture ()
Awaitable< std::map< PropertyName, Variant > > | getResultAsAwaitable ()

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl